# $Revision: 1.12 $, $Date: 2012/06/21 21:30:40 $
Summary:	Recover files by "carving" them from a raw disk
Summary(pl.UTF-8):	Odzyskiwanie plików poprzez "wykrawanie" ich z dysku
Name:		foremost
Version:	1.5.7
Release:	3
License:	Public Domain
Group:		Applications/System
Source0:	http://foremost.sourceforge.net/pkg/%{name}-%{version}.tar.gz
# Source0-md5:	860119c49665c2a3fb2b0b1d3dbad02a
Patch0:		%{name}-sysconfdir.patch
URL:		http://foremost.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Foremost recovers files files based on their headers, footers, and
internal data structures. This process is commonly referred to as data
carving. Foremost can work on a raw disk drive or image file generated
by dd. The headers and footers can be specified by a configuration
file or you can use command line switches to specify built-in file
types. These built-in types look at the data structures of a given
file format allowing for a more reliable and faster recovery.

%description -l pl.UTF-8
Foremost odzyskuje pliki bazując na ich nagłówkach, stopkach, oraz
wewnętrznych strukturach danych. Ten proces jest zwany jako
"wykrawanie" danych. Foremost może pracować na "surowym" dostępie do
dysku lub obrazach utworzonych przez dd. Nagłówki i stopki mogą być
umieszczone w pliku konfiguracyjnym lub można użyć linii poleceń do
wykorzystania wbudowanych typów. Wbudowane typy wskazują na struktury
danych podanych formatów plików dla pewniejszego i szybszego
odzyskiwania danych.

%prep
%setup -q
sed -i -e 's,\r$,,' main.h
%patch0 -p1

%build
%{__make} \
	RAW_CC="%{__cc}" \
	RAW_FLAGS="%{rpmcflags} -DVERSION=\\\"%{version}\\\"" \
	BIN=%{_bindir} \
	MAN=%{_mandir}/man8 \
	CONF=%{_sysconfdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man8,%{_sysconfdir}}

%{__make} install \
	BIN=$RPM_BUILD_ROOT%{_bindir} \
	MAN=$RPM_BUILD_ROOT%{_mandir}/man8 \
	CONF=$RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man8/%{name}.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: foremost.spec,v $
Revision 1.12  2012/06/21 21:30:40  gotar
- oops, forgotten about proper directory, rel. 3

Revision 1.11  2012/06/21 21:24:16  gotar
- fixed manpage section, rel. 2

Revision 1.10  2010/03/06 18:35:44  matkor
- Version 1.5.7-1.

Revision 1.9  2010/02/01 10:37:04  gotar
- hail the cvs-ng wisdom, why care about newlines...

Revision 1.8  2010/02/01 10:30:30  gotar
- upgraded to 1.5.6

Revision 1.7  2008/06/20 18:35:29  rotom
- up to 1.5.4

Revision 1.6  2007/08/06 09:16:58  arekm
- up to 1.5

Revision 1.5  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.3  2006/12/19 20:04:50  qboosh
- typo, complete URL

Revision 1.2  2006/12/06 20:38:00  undefine
- fix passing VERSION

Revision 1.1  2006/12/06 18:13:16  undefine
- initial
